//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup Tool "FUNSSEL" developed for the 
// Simulator League of the RoboCup 2001 competition
//
// Copyright (C) 1998, 1999, 2000, 2001 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program is published under the terms of the GNU General Public 
// License as published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

#include "SoccerMessage.h"

const SoccerMessage SoccerMessage::emptyMessage =
SoccerMessage(0, "", NoOne,NoOne, 0);

SoccerMessage::SoccerMessage(int _time, const string &_message,
			     SoccerActor _sender, SoccerActor _recver,
			     int _durtn = 1)
  : message(_message),
    time(_time),
    durtn(_durtn),
    sender(_sender),
    recver(_recver)
{
}

SoccerMessage::SoccerMessage()
  : time(-1),
    durtn(1),
    sender(FunsselMonitor),
    recver(NoOne)
{
}

